package net.minecraft.client.resources.model;

import java.util.Collections;
import net.minecraft.client.renderer.block.model.BakedQuad;
import java.util.List;
import java.util.Random;
import net.minecraft.core.Direction;
import javax.annotation.Nullable;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.client.renderer.texture.TextureAtlasSprite;
import net.minecraft.client.renderer.block.model.ItemOverrides;
import net.minecraft.client.renderer.block.model.ItemTransforms;

public class BuiltInModel implements BakedModel {
    private final ItemTransforms itemTransforms;
    private final ItemOverrides overrides;
    private final TextureAtlasSprite particleTexture;
    private final boolean usesBlockLight;
    
    public BuiltInModel(final ItemTransforms drz, final ItemOverrides drx, final TextureAtlasSprite eaj, final boolean boolean4) {
        this.itemTransforms = drz;
        this.overrides = drx;
        this.particleTexture = eaj;
        this.usesBlockLight = boolean4;
    }
    
    @Override
    public List<BakedQuad> getQuads(@Nullable final BlockState byj, @Nullable final Direction fp, final Random random) {
        return Collections.<BakedQuad>emptyList();
    }
    
    @Override
    public boolean useAmbientOcclusion() {
        return false;
    }
    
    @Override
    public boolean isGui3d() {
        return true;
    }
    
    @Override
    public boolean usesBlockLight() {
        return this.usesBlockLight;
    }
    
    @Override
    public boolean isCustomRenderer() {
        return true;
    }
    
    @Override
    public TextureAtlasSprite getParticleIcon() {
        return this.particleTexture;
    }
    
    @Override
    public ItemTransforms getTransforms() {
        return this.itemTransforms;
    }
    
    @Override
    public ItemOverrides getOverrides() {
        return this.overrides;
    }
}
